package org.springblade.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author July
 * @version 1.0.0
 * @ClassName ReceiverType.java
 * @Description 接收人类型
 * @createTime 2021年11月04日 17:14:00
 */
@Getter
@AllArgsConstructor
public enum ReceiverType {
	MALL("MALL", "商场"),
	SHOP("SHOP", "商家"),
	MEMBER("MEMBER", "会员"),
	CONSUMER("CONSUMER", "C端用户"),
	;

	@EnumValue
	@JsonValue
	private String value;
	private String dec;
}
